diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index a9c70752..e92deac8 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -34,7 +34,7 @@ define([
       '  <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '<% } %>',
     ].join('\n')),
-    className: 'pgadmin-control-group form-group col-xs-6',
+    className: 'pgadmin-control-group form-group col-6',
   });
 
   // Main model for Maintenance functionality
@@ -80,8 +80,8 @@ define([
       ],
       control: Backform.RadioControl.extend({
         template: _.template([
-          '<label class="control-label col-sm-4 col-xs-12"><%=label%></label>',
-          '<div class="pgadmin-controls col-xs-12 col-sm-8 btn-group pg-maintenance-op" data-toggle="buttons">',
+          '<label class="control-label col-sm-4 col-12"><%=label%></label>',
+          '<div class="pgadmin-controls col-12 col-sm-8 btn-group pg-maintenance-op" data-toggle="buttons">',
           ' <% for (var i=0; i < options.length; i++) { %>',
           ' <% var option = options[i]; %>',
           ' <label class="btn btn-primary<% if (i == 0) { %> active<%}%>">',
@@ -283,8 +283,8 @@ define([
             setup: function() {
               return {
                 buttons: [{
-                  text: '',
-                  className: 'btn btn-default pull-left fa fa-lg fa-info',
+                  text: '<span class="fa fa-lg fa-info"></span>',
+                  className: 'btn btn-default pull-left',
                   attrs: {
                     name: 'object_help',
                     type: 'button',
@@ -292,9 +292,9 @@ define([
                     label: gettext('Maintenance'),
                   },
                 }, {
-                  text: '',
+                  text: '<span class="fa fa-lg fa-question"></span>',
                   key: 112,
-                  className: 'btn btn-default pull-left fa fa-lg fa-question',
+                  className: 'btn btn-default pull-left',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
diff --git a/web/pgadmin/tools/restore/__init__.py b/web/pgadmin/tools/restore/__init__.py
index ae747739..f639e198 100644
--- a/web/pgadmin/tools/restore/__init__.py
+++ b/web/pgadmin/tools/restore/__init__.py
@@ -111,7 +111,7 @@ class RestoreMessage(IProcessDesc):
 
     def details(self, cmd, args):
         name, host, port = self.get_server_details()
-        res = '<div class="h5">'
+        res = '<div>'
 
         res += html.safe_str(
             _(
@@ -121,7 +121,7 @@ class RestoreMessage(IProcessDesc):
             )
         )
 
-        res += '</div><div class="h5"><b>'
+        res += '</div><div><b>'
         res += html.safe_str(
             _("Running command:")
         )
diff --git a/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js b/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
index 845da7a3..7b12232a 100644
--- a/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
+++ b/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
@@ -22,8 +22,8 @@ export class RestoreDialogWrapper extends DialogWrapper {
   setup() {
     return {
       buttons: [{
-        text: '',
-        className: 'btn btn-default pull-left fa fa-lg fa-info',
+        text: '<span class="fa fa-lg fa-info"></span>',
+        className: 'btn btn-default pull-left',
         attrs: {
           name: 'object_help',
           type: 'button',
@@ -31,9 +31,9 @@ export class RestoreDialogWrapper extends DialogWrapper {
           label: gettext('Restore'),
         },
       }, {
-        text: '',
+        text: '<span class="fa fa-lg fa-question"></span>',
         key: 112,
-        className: 'btn btn-default pull-left fa fa-lg fa-question',
+        className: 'btn btn-default pull-left',
         attrs: {
           name: 'dialog_help',
           type: 'button',
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index da71c9a3..a37ff32d 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -1306,7 +1306,7 @@ define('tools.querytool', [
     _closeDropDown: function(ev) {
       var target = ev && (ev.currentTarget || ev.target);
       if (target) {
-        $(target).closest('.open').removeClass('open').find('.dropdown-backdrop').remove();
+        $(target).closest('.show').removeClass('show').find('.dropdown-backdrop').remove();
       }
     },
 
@@ -1480,7 +1480,7 @@ define('tools.querytool', [
 
     // Callback function for cancel button click.
     on_cancel: function() {
-      $('#filter').addClass('hidden');
+      $('#filter').addClass('d-none');
       $('#editor-panel').removeClass('sql-editor-busy-fetching');
     },
 
@@ -3279,7 +3279,7 @@ define('tools.querytool', [
           setTimeout(
             function() {
               if (res.data.status) {
-                $('#filter').addClass('hidden');
+                $('#filter').addClass('d-none');
                 $('#editor-panel').removeClass('sql-editor-busy-fetching');
                 // Refresh the sql grid
                 queryToolActions.executeQuery(self);
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index c0a31006..9bbabce7 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -60,9 +60,9 @@ define([
             setup: function() {
               return {
                 buttons: [{
-                  text: '',
+                  text: '<span class="fa fa-lg fa-question"></span>',
                   key: 112,
-                  className: 'btn btn-default pull-left fa fa-lg fa-question',
+                  className: 'btn btn-default pull-left',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
@@ -576,9 +576,9 @@ define([
             setup: function() {
               return {
                 buttons: [{
-                  text: '',
+                  text: '<span class="fa fa-lg fa-question"></span>',
                   key: 112,
-                  className: 'btn btn-default pull-left fa fa-lg fa-question',
+                  className: 'btn btn-default pull-left',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
@@ -757,7 +757,7 @@ define([
                 userCollection = this.userCollection = new UserCollection(),
                 header = [
                   '<div class="subnode-header">',
-                  '  <button class="btn-sm btn-default add fa fa-plus" title="<%-add_title%>" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
+                  '  <button class="btn btn-sm-sq btn-default add fa fa-plus" title="<%-add_title%>" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
                   '  <div class="control-label search_users"></div>',
                   '</div>',
                 ].join('\n'),
diff --git a/web/regression/javascript/misc/explain/explain_statistics_spec.js b/web/regression/javascript/misc/explain/explain_statistics_spec.js
index 0b2ec67c..3af5a5c7 100644
--- a/web/regression/javascript/misc/explain/explain_statistics_spec.js
+++ b/web/regression/javascript/misc/explain/explain_statistics_spec.js
@@ -8,7 +8,7 @@ describe('ExplainStatistics', () => {
 
   beforeEach(function() {
     statsModel = new StatisticsModel();
-    statsDiv = '<div class="pg-explain-stats-area btn-group hidden"></div>';
+    statsDiv = '<div class="pg-explain-stats-area btn-group d-none"></div>';
     tooltipContainer = $('<div></div>', {
       id: 'toolTip',
       class: 'pgadmin-explain-tooltip',
@@ -23,7 +23,7 @@ describe('ExplainStatistics', () => {
       statsModel.set('Triggers', []);
       statsModel.set_statistics(tooltipContainer);
 
-      expect($('.pg-explain-stats-area').hasClass('hidden')).toBe(true);
+      expect($('.pg-explain-stats-area').hasClass('d-none')).toBe(true);
     });
   });
 
@@ -36,7 +36,7 @@ describe('ExplainStatistics', () => {
     });
 
     it('Statistics button should be visible', () => {
-      expect($('.pg-explain-stats-area').hasClass('hidden')).toBe(false);
+      expect($('.pg-explain-stats-area').hasClass('d-none')).toBe(false);
     });
 
     it('Mouse over event should be trigger', () => {
@@ -65,7 +65,7 @@ describe('ExplainStatistics', () => {
     });
 
     it('Statistics button should be visible', () => {
-      expect($('.pg-explain-stats-area').hasClass('hidden')).toBe(false);
+      expect($('.pg-explain-stats-area').hasClass('d-none')).toBe(false);
     });
 
     it('Mouse over event should be trigger', () => {
diff --git a/web/webpack.config.js b/web/webpack.config.js
index 47cd73a0..30581c45 100644
--- a/web/webpack.config.js
+++ b/web/webpack.config.js
@@ -100,29 +100,54 @@ const sourceMapDevToolPlugin = new webpack.SourceMapDevToolPlugin({
   columns: false,
 });
 
+
+
+function cssToBeSkiped(curr_path) {
+  /** Skip all templates **/
+  if(curr_path.indexOf('template') > -1) {
+    return true;
+  }
+
+  for(let i=0; i< webpackShimConfig.css_bundle_skip.length; i++) {
+    if(path.join(__dirname, webpackShimConfig.css_bundle_skip[i]) === curr_path){
+      return true;
+    }
+  }
+  return false;
+}
+
 /* Get all the style files recursively and store in array to
- * give input to webpack. We are skipping pgadmin/static directory
- * and adding it to array manually
+ * give input to webpack.
  */
-let pgadminStyles = [path.join(__dirname, './pgadmin/static/scss/pgadmin.scss')];
-function pushPgadminStyles(curr_path) {
-  if(path.join(__dirname, './pgadmin/static') === curr_path ||
-      curr_path.indexOf('template') > -1) {
+function pushModulesCss(curr_path, pgadminStyles) {
+  /** Skip Directories */
+  if(cssToBeSkiped(curr_path)) {
     return;
   }
 
   fs.readdirSync(curr_path).map(function(curr_file) {
+    /** Skip Files */
+    if(cssToBeSkiped(path.join(curr_path, curr_file))) {
+      return;
+    }
+
     let stats = fs.statSync(path.join(curr_path, curr_file));
     /* if directory, dig further */
     if(stats.isDirectory()) {
-      pushPgadminStyles(path.join(curr_path, curr_file));
+      pushModulesCss(path.join(curr_path, curr_file), pgadminStyles);
     }
     else if(stats.isFile() && (curr_file.endsWith('.scss') || curr_file.endsWith('.css'))) {
       pgadminStyles.push(path.join(curr_path, curr_file));
     }
   });
 }
-pushPgadminStyles(path.join(__dirname,'./pgadmin'));
+
+let pgadminStyles = [];
+/* Include what is given in shim config */
+for(let i=0; i<webpackShimConfig.css_bundle_include.length; i++) {
+  pgadminStyles.push(path.join(__dirname, webpackShimConfig.css_bundle_include[i]));
+}
+pushModulesCss(path.join(__dirname,'./pgadmin'), pgadminStyles);
 
 module.exports = {
   stats: { children: false },
diff --git a/web/webpack.shim.js b/web/webpack.shim.js
index c2711036..c6217fde 100644
--- a/web/webpack.shim.js
+++ b/web/webpack.shim.js
@@ -303,5 +303,15 @@ var webpackShimConfig = {
     if (module.rawRequest === undefined) { return false; }
     return this.pgLibs.indexOf(module.rawRequest) !== -1;
   },
+  /* These will be skipped when webpack picks css/scss files recursively to bundle */
+  css_bundle_skip: [
+    './pgadmin/static',
+  ],
+
+  /* These will be included in array formed by recursive traversing for css/scss files */
+  css_bundle_include: [
+    './pgadmin/static/scss/pgadmin.scss',
+    './pgadmin/static/css/pgadmin.css',
+  ],
 };
 module.exports = webpackShimConfig;
